package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

public enum CollectTypeEnum implements IIntegerEnum {

    /**
     * WS
     */
    WEBSERVICE_XML_DEPT(0, "WEBSERVICE_XML_DEPT", "新增/修改-科室信息"),
    WEBSERVICE_XML_USER(1, "WEBSERVICE_XML_USER", "新增/修改-用户信息"),
    WEBSERVICE_XML_INSERT_BASIC(2, "WEBSERVICE_XML_BASIC", "新增/修改-基础数据"),
    WEBSERVICE_XML_UPDATE_BASIC(2, "WEBSERVICE_XML_BASIC", "新增/修改-基础数据"),
    WEBSERVICE_XML_SA_REPORT(3, "WEBSERVICE_XML_SA_REPORT", "新增-手麻报告信息"),
    WEBSERVICE_XML_ICU_REPORT(4, "WEBSERVICE_XML_ICU_REPORT", "新增-重症报告信息"),
    WEBSERVICE_XML_EXAMINATION_REPORT(5, "WEBSERVICE_XML_EXAMINATION_REPORT", "新增-检验报告信息"),
    WEBSERVICE_XML_INSERT_INSPECTION_REPORT(6, "WEBSERVICE_XML_INSERT_INSPECTION_REPORT", "新增-检查报告的信息"),
    WEBSERVICE_XML_UPDATE_INSPECTION_REPORT(7, "WEBSERVICE_XML_UPDATE_INSPECTION_REPORT", "更新-检查报告的信息"),

    /**
     * HTTP
     */
    HTTP_PASSIVE_USER(8, "HTTP_PASSIVE_USER", "新增/修改-用户信息"),
    HTTP_PASSIVE_DEPT(9, "HTTP_PASSIVE_DEPT", "新增/修改-科室信息"),
    HTTP_PASSIVE_BASIC(10, "HTTP_PASSIVE_BASIC", "新增/修改-基础数据"),

    /**
     * MQ
     */
    JMS_MQ_PASSIVE_INSERT_USER(11, "JMS_MQ_PASSIVE_INSERT_USER", "新增-用户信息"),
    JMS_MQ_PASSIVE_UPDATE_USER(12, "JMS_MQ_PASSIVE_UPDATE_USER", "修改-用户信息"),
    JMS_MQ_PASSIVE_INSERT_DEPT(13, "JMS_MQ_PASSIVE_INSERT_DEPT", "新增-科室信息"),
    JMS_MQ_PASSIVE_UPDATE_DEPT(14, "JMS_MQ_PASSIVE_UPDATE_DEPT", "修改-科室信息"),
    JMS_MQ_PASSIVE_INSERT_BASIC(15, "JMS_MQ_PASSIVE_INSERT_BASIC", "新增-基础数据"),
    JMS_MQ_PASSIVE_UPDATE_BASIC(16, "JMS_MQ_PASSIVE_UPDATE_BASIC", "修改-基础数据"),

    ROCKET_MQ_PASSIVE_INSERT_USER(17, "ROCKET_MQ_PASSIVE_INSERT_USER", "新增-用户信息"),
    ROCKET_MQ_PASSIVE_UPDATE_USER(18, "ROCKET_MQ_PASSIVE_UPDATE_USER", "修改-用户信息"),
    ROCKET_MQ_PASSIVE_INSERT_DEPT(19, "ROCKET_MQ_PASSIVE_INSERT_DEPT", "新增-科室信息"),
    ROCKET_MQ_PASSIVE_UPDATE_DEPT(20, "ROCKET_MQ_PASSIVE_UPDATE_DEPT", "修改-科室信息"),
    ROCKET_MQ_PASSIVE_INSERT_BASIC(21, "ROCKET_MQ_PASSIVE_INSERT_BASIC", "新增-基础数据"),
    ROCKET_MQ_PASSIVE_UPDATE_BASIC(22, "ROCKET_MQ_PASSIVE_UPDATE_BASIC", "修改-基础数据"),

    RABBIT_MQ_PASSIVE_INSERT_USER(23, "RABBIT_MQ_PASSIVE_INSERT_USER", "新增-用户信息"),
    RABBIT_MQ_PASSIVE_UPDATE_USER(24, "RABBIT_MQ_PASSIVE_UPDATE_USER", "修改-用户信息"),
    RABBIT_MQ_PASSIVE_INSERT_DEPT(25, "RABBIT_MQ_PASSIVE_INSERT_DEPT", "新增-科室信息"),
    RABBIT_MQ_PASSIVE_UPDATE_DEPT(26, "RABBIT_MQ_PASSIVE_UPDATE_DEPT", "修改-科室信息"),
    RABBIT_MQ_PASSIVE_INSERT_BASIC(27, "RABBIT_MQ_PASSIVE_INSERT_BASIC", "新增-基础数据"),
    RABBIT_MQ_PASSIVE_UPDATE_BASIC(28, "RABBIT_MQ_PASSIVE_UPDATE_BASIC", "修改-基础数据"),

    /**
     * JOB
     */
    JOB_VIEW_DEPT(29, "JOB_VIEW_DEPT", "新增/修改-科室信息"),
    JOB_USER(30, "JOB_USER", "新增/修改-用户信息"),
    JOB_INSERT_BASIC(31, "JOB_INSERT_BASIC", "新增/修改-基础数据"),
    JOB_UPDATE_BASIC(32, "JOB_UPDATE_BASIC", "新增/修改-基础数据"),
    JOB_SA_REPORT(33, "JOB_SA_REPORT", "新增-手麻报告信息"),
    JOB_ICU_REPORT(34, "JOB_ICU_REPORT", "新增-重症报告信息"),
    JOB_REPORT(35, "JOB_REPORT", "新增-检验报告信息"),
    JOB_INSERT_REPORT(36, "JOB_INSERT_REPORT", "新增-检查报告的信息"),
    JOB_UPDATE_REPORT(37, "JOB_UPDATE_REPORT", "更新-检查报告的信息"),
    ;

    private Integer value;
    private String display;
    private String desc;

    CollectTypeEnum(Integer value, String display, String desc) {
        this.value = value;
        this.display = display;
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {

        return display;
    }
}
